Get EIP-712 types for a method
API Docs with browser clientReturn the accepted primary types and full type map for a specific API operation that supports EIP-712 authentication.
In: header
Query Parameters
API operation ID (e.g. "createDnsRecord", "registerDomain").
1 <= lengthHeader Parameters
Optional delegated account address to authenticate as when the signer is an approved signer. Preferred header name.
Legacy alias for x-namefi-erc1271-account. When multiple delegated account headers are present, x-namefi-eip7702-account takes precedence, then x-namefi-erc1271-account.
Optional delegated account address to authenticate as when the signer is an approved signer. Preferred ERC-1271 header name.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.namefi.dev/v-next/eip712/types-for-method?method=string"{
"found": true,
"acceptedPrimaryTypes": [
"string"
],
"types": {
"property1": [
{
"name": "string",
"type": "string"
}
],
"property2": [
{
"name": "string",
"type": "string"
}
]
},
"availableMethods": [
"string"
]
}{
"defined": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "Bad Request",
"data": null
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Unauthorized",
"data": null
}{
"defined": true,
"code": "PAYMENT_REQUIRED",
"status": 402,
"message": "Payment Required",
"data": null
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "Forbidden",
"data": null
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "Not Found",
"data": null
}{
"defined": true,
"code": "NOT_ACCEPTABLE",
"status": 406,
"message": "Not Acceptable",
"data": null
}{
"defined": true,
"code": "TIMEOUT",
"status": 408,
"message": "Request Timeout",
"data": null
}{
"defined": true,
"code": "CONFLICT",
"status": 409,
"message": "Conflict",
"data": null
}{
"defined": true,
"code": "PRECONDITION_FAILED",
"status": 412,
"message": "Precondition Failed",
"data": null
}{
"defined": true,
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Too Many Requests",
"data": null
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "Internal Server Error",
"data": null
}Get EIP-712 signing domain GET
Return the EIP-712 domain separator used for Namefi payload signing. The Namefi domain is chain-agnostic (chainId omitted) to allow cross-chain signatures.
Get Domains Available for Trial GET
Retrieve a list of domains or parent domains(ie; their subdomains are available for trial)